package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "street")
public class StreetEntity implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "street_seq_gen")
    @SequenceGenerator(name = "street_seq_gen", sequenceName = "street_id_seq", allocationSize = 1)
    private Integer id;

    /**
     * 省名称
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String proName;

    /**
     * 省编码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String proCode;

    /**
     * 市名称
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String cityName;

    /**
     * 市编码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String cityCode;

    /**
     * 区县名称
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String countyName;

    /**
     * 区县编码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String countyCode;

    /**
     * 街道名称
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String streetName;

    /**
     * 街道编码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String streetCode;

    public StreetEntity() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public String getProCode() {
        return proCode;
    }

    public void setProCode(String proCode) {
        this.proCode = proCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public String getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(String countyCode) {
        this.countyCode = countyCode;
    }

    public String getStreetName() {
        return streetName;
    }

    public void setStreetName(String streetName) {
        this.streetName = streetName;
    }

    public String getStreetCode() {
        return streetCode;
    }

    public void setStreetCode(String streetCode) {
        this.streetCode = streetCode;
    }

    @Override
    public String toString() {
        return "StreetEntity{" +
                "id=" + id +
                ", proName='" + proName + '\'' +
                ", proCode='" + proCode + '\'' +
                ", cityName='" + cityName + '\'' +
                ", cityCode='" + cityCode + '\'' +
                ", countyName='" + countyName + '\'' +
                ", countyCode='" + countyCode + '\'' +
                ", streetName='" + streetName + '\'' +
                ", streetCode='" + streetCode + '\'' +
                '}';
    }
}
